import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { User } from '../model/user-model';
import { UserService } from '../user-service/user.service';
import { Location } from '@angular/common'

@Component({
  selector: 'app-add-update-user',
  templateUrl: './add-update-user.component.html',
  styleUrls: ['./add-update-user.component.scss']
})
export class AddUpdateUserComponent implements OnInit {
  id: number;
  userUpdate: User = new User(null,"","","","","",1,"",1,1);
  re_password: string = "";
  isError = false;
  constructor(private route: ActivatedRoute, private userService: UserService, private location: Location) {
   
  }
  ngOnInit() {
    console.log("Add update user");
    this.id = Number(this.route.snapshot.paramMap.get('id'));
    if (this.id > 0) {
      this.userUpdate = this.userService.getItemById(this.id);
      this.re_password = this.userUpdate.password;
    }
  }

  saveOrUpdate() {
    console.log("saveOrUpdate");
    console.log(this.userUpdate);
  }

  back() {
    this.location.back();
  }

  onPasswordChange(){
    if(this.re_password != this.userUpdate.password) {
      this.isError = true;
    }else{
      this.isError = false;
    }
  }

}
