import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment.prod';
import { fetchData } from 'utility-module/dist/api-share';
import { Customer } from '../model/customer';

@Injectable({
  providedIn: 'root'
})
export class CustomerService {

  customersUrl = environment.apiHost+"/customer-list";
  public customerList: Customer[] = [];

  constructor() { }

  async getItems(): Promise<Customer[]> {
    //call api
    this.customerList = [];
    await fetchData<Customer[]>(this.customersUrl).then((customers: Customer[]) => {
          this.customerList = customers;
        }
    );
    return await this.customerList;
  }

  addItem(item: Customer) {
    //call api
    this.customerList.push(item);
    //
  }

  getItemById(id: number): Customer{
    if(id == null) {
      return null;
    }
    return this.customerList.filter(element => element.id === id)[0];
  }

  update(item: Customer) {
    // call api
    this.customerList.forEach(obj => {
      if (obj.id === item.id) {
       console.log(obj.id);
      }
    });
  }
}
