import { Component, OnInit } from "@angular/core";
import { Router } from "@angular/router";
import { CustomerService } from "../customer-service/customer-service.service";
import { Customer } from "../model/customer";

@Component({
  selector: "app-list",
  templateUrl: "./list.component.html",
  styleUrls: ["./list.component.scss"],
})
export class ListComponent implements OnInit {

  data: Customer[] = [];
  customer: Customer = new Customer(0,"","","","","","","","","","");
  constructor(private route: Router, private customerService: CustomerService){
 
  }

  async ngOnInit() {
    await this.customerService.getItems().then(list =>{
       this.data = list;
    });
  }

  updateCustomer(id: number){
    this.customer = this.customerService.getItemById(id);
  }

  deleteCustomer(id: number){
    console.log(id);
  }

  search() {

  }

  saveChanges(){
    
  }

  monitoringStationList(id: String){
    this.route.navigateByUrl("custom-management/monitoring-station/"+id);
  }

}
