import { Component, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material';
import { ActivatedRoute } from '@angular/router';
import { MapComponent } from '../map-dialog/map/map.component';
import { Station } from '../model/station';
import { MonitoringStationServiceService } from '../monitoring-station-service/monitoring-station-service.service';

@Component({
  selector: 'app-monitoring-station-list',
  templateUrl: './monitoring-station-list.component.html',
  styleUrls: ['./monitoring-station-list.component.scss']
})
export class MonitoringStationListComponent implements OnInit {
  customerId: String;
  station: Station = new Station(0,"","","","","","","");
  stationList: Station[] = [];
  isShow: string = "";
  isDisplay: string = "";
  constructor(private route: ActivatedRoute, 
    private monitoringStationService: MonitoringStationServiceService, public dialog: MatDialog) {

  }
  async ngOnInit() {
    console.log("Monitoring station list");
    this.customerId = this.route.snapshot.paramMap.get('customer-id');
    if (this.customerId != null) {
      await this.monitoringStationService.getItems(this.customerId).then(list =>{
        this.stationList = list;
      })
    }
  }

  hiddenList(){
    this.isDisplay = "none";
  }

  openDialog() {
    this.isShow = "none"
    this.dialog.open(MapComponent, {
      width: '700px',
    }).afterClosed().subscribe(
      data => {
        console.log("after close");
        if(data != null){
          console.log("Dialog output:", data)
          this.station.address = data.address;
          this.station.lat = data.lat;
          this.station.long = data.long;
        }
        this.isShow = "block";
      }
    );
  }

  closeModal(){
    this.isDisplay = "";
  }

  equipmentStationList(stationId: String){}

  updateStation(stationId: String){}

  saveChanges(){}
  search(){}
}
