import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment.prod';
import { fetchData } from 'utility-module/dist/api-share';
import { Station } from '../model/station';

@Injectable({
  providedIn: 'root'
})
export class MonitoringStationServiceService {

  monitoringStationListUrl = environment.apiHost+"/monitoring-station-list/";
  public stationList: Station[] = [];

  constructor() { }

  async getItems(customerId: String): Promise<Station[]> {
    //call api
    this.stationList = [];
    await fetchData<Station[]>(this.monitoringStationListUrl + customerId).then((stations: Station[]) => {
          this.stationList = stations;
        }
    );
    return await this.stationList;
  }

}