import { Injectable } from '@angular/core';
import { fetchData } from 'utility-module/dist/api-share';
import { User } from '../model/user-model';
import { environment } from 'src/environments/environment.prod';
@Injectable({
  providedIn: 'root'
})
export class UserService {
  userListApi = environment.apiHost+"/user-list";
  public userList: User[] = [];

  constructor() { }

  async getItems(): Promise<User[]> {
    //call api
    this.userList = [];
    await fetchData<User[]>(this.userListApi).then((user: User[]) => {
          this.userList = user;
        }
    );
    return await this.userList;
  }

  addItem(item: User) {
    //call api
    this.userList.push(item);
    //
  }

  getItemById(id: number): User{
    if(id == null) {
      return null;
    }
    return this.userList.filter(element => element.id === id)[0];
  }

  update(item: User) {
    // call api
    this.userList.forEach(obj => {
      if (obj.id === item.id) {
        obj.nameLogin = item.nameLogin;
        obj.email = item.email;
        obj.lastName = item.lastName;
        obj.phoneNumber = item.phoneNumber;
        obj.firstName = item.firstName;
        obj.department = item.department;
        obj.password = item.password;
        obj.role = item.role;
        obj.position = item.position;
      }
    });
  }

}
